net.snowflake.client.core

## Class Incident

- java.lang.Object
- - net.snowflake.client.core.Event
  - - net.snowflake.client.core.Incident

    public class Incident
    extends Event

Incident Event class for triggering and registering Incidents with GS

Author:
  jrosen

### Nested Class Summary

### Nested classes/interfaces inherited from class net.snowflake.client.core.Event

`Event.EventType`

### Constructor Summary

Constructors
Constructor and Description
`Incident(Event.EventType type, Map<String,Object> incident)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `flush()` Registers the incident with Global Services
`static String` `generateIncidentId()` Generates the Incident Identifier.

### Methods inherited from class net.snowflake.client.core.Event

`getMessage, getType, setMessage, setType, writeEventDumpLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Incident

    public Incident(Event.EventType type,
                    Map<String,Object> incident)

### Method Detail

#### generateIncidentId

    public static String generateIncidentId()

Generates the Incident Identifier. This should be reasonably unique within the time instant generated. I.e. in case there happens to be a collision (unlikely), then the id together with the timestamp can be used to disambiguate the two events. (Stolen from GS)

Returns:
  incident id

#### flush

    public void flush()

Registers the incident with Global Services

Specified by:
  `flush` in class `Event`